<?php

namespace GriffinForms\Frontend\Security\FormValidations;

interface ValidationInterface
{
    public function getKey(): string;

    public function getPriority(): int;

    /**
     * @param int   $form_id
     * @param array $context
     *
     * @return array
     */
    public function validate(int $form_id, array $context = []): array;
}
